SystemAudit (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.server.session.SystemAudit class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.server.session
Class SystemAudit

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.common.server.session.Audit
              org.hyperic.hq.bizapp.server.session.SystemAudit

All Implemented Interfaces:
  java.io.Serializable

    public class SystemAudit

extends Audit

See Also:
  Serialized Form

Nested Class Summary
`static class` | `SystemAudit.SystemAuditPurpose`

Field Summary
`static SystemAudit.SystemAuditPurpose` | `HQ_STARTED`

Constructor Summary
`protected` | `SystemAudit()`

Method Summary
`static SystemAudit` | `createUpAudit(long startupTime)`
`static AuthzSubject` | `getOverlord()`

Methods inherited from class org.hyperic.hq.common.server.session.Audit
`equals, formatHtmlMessage, getChildren, getChildrenBag, getEndTime, getFieldName, getHtmlMessage, getImportance, getImportanceEnum, getKlazz, getMessage, getNature, getNatureEnum, getNewFieldValue, getOldFieldValue, getParent, getPurpose, getPurposeEnum, getResource, getStartTime, getSubject, hashCode, isOriginal, setChildrenBag, setEndTime, setFieldName, setImportanceEnum, setKlazz, setMessage, setNatureEnum, setNewFieldValue, setOldFieldValue, setOriginal, setParent, setPurposeEnum, setResource, setStartTime, setSubject, toString`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### HQ_STARTED

    public static final SystemAudit.SystemAuditPurpose HQ_STARTED

Constructor Detail

### SystemAudit

    protected SystemAudit()

Method Detail

### getOverlord

    public static AuthzSubject getOverlord()

### createUpAudit

    public static SystemAudit createUpAudit(long startupTime)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.